<?php
require '../conexao/conexao.php';

function get_setores($grupo)
{
    global $connection;
    $query = "SELECT par.subargum AS cod_setor, par.parametro AS nome_setor, par.argumento 
              FROM fc99999 par 
              WHERE par.argumento = ?";
    $stmt = ibase_prepare($connection, $query);
    $result = ibase_execute($stmt, $grupo);

    if ($result === false) {
        echo json_encode(['error' => ibase_errmsg()]);
        exit;
    }

    $setores = [];
    while ($row = ibase_fetch_assoc($result)) {
        $row['COD_SETOR'] = utf8_encode($row['COD_SETOR']);
        $row['NOME_SETOR'] = utf8_encode($row['NOME_SETOR']);
        $setores[] = $row;
    }

    return $setores;
}

// Se a requisição for via AJAX, retornar os dados em JSON
if (isset($_POST['grupo'])) {
    $grupo = $_POST['grupo'];
    $setores = get_setores($grupo);
    echo json_encode($setores);
    exit;
}
